## cluster-tools-client 1.1.131208

=== debian/changelog ===
cluster-tools-client (1.1.131208) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 08 Dec 2013 04:05:23 -0200

cluster-tools-client (1.1.120920) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 20 Sep 2012 13:22:00 -0300

cluster-tools-client (1.1.120418) stable; urgency=low

  * Updated the cjobs utility in order to correct for changes in the
    option syntax of the "top" program.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 18 Apr 2012 12:51:57 -0300

cluster-tools-client (1.1.120129) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 29 Jan 2012 16:49:14 -0200

cluster-tools-client (1.1.110213) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 13 Feb 2011 13:42:09 -0200

cluster-tools-client (1.1.110203) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 03 Feb 2011 11:51:36 -0200

cluster-tools-client (1.1.100516) stable; urgency=low

  * Updated the cross-references within the man pages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 16 May 2010 18:59:29 -0300

cluster-tools-client (1.1.100513) stable; urgency=low

  * Moved the cluster.5 man page to cluster.7.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 13 May 2010 19:02:03 -0300

cluster-tools-client (1.1.091001) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 01 Oct 2009 13:48:19 -0300

cluster-tools-client (1.1.090720) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 20 Jul 2009 23:12:28 -0300

cluster-tools-client (1.1.080409) stable; urgency=low

  * Started distributing the package as an "all" architecture package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  9 Apr 2008 03:17:43 -0300

cluster-tools-client (1.1.080219) stable; urgency=low

  * Updated the build-depends, standards and debhelper compatibility
    versions; moved README to README.Debian; include the configuration
    file kernel-img.conf, meant for the kernel image packages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 19 Feb 2008 15:01:53 -0300

cluster-tools-client (1.1.070627) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 27 Jun 2007 10:57:56 -0300

cluster-tools-client (1.1.070626) stable; urgency=low

  * A bit of coding cleanup was done in the tools; the manual pages were
    updated.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 26 Jun 2007 21:06:56 -0300

cluster-tools-client (1.1.070622) stable; urgency=low

  * Fixed a bug in the "-t" option of the cjobs utility, which is relevant
    only when the cluster aliases file is in use.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 22 Jun 2007 09:25:23 -0300

cluster-tools-client (1.1.070608) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri,  8 Jun 2007 15:14:20 -0300

cluster-tools-client (1.1.070224) stable; urgency=low

  * Changes were made only in the server package. Cranked up the major
    version number from 1.0 to 1.1.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 24 Feb 2007 17:16:49 -0200

cluster-tools-client (1.0.070224) stable; urgency=low

  * Made a few improvements in the documentation and in the output format
    of the cruptime command.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 24 Feb 2007 01:31:59 -0200

cluster-tools-client (1.0.070223) stable; urgency=low

  * Implemented the possibility of using a cluster aliases file, so that
    the cluster nodes may have arbitrary hostnames.
  
 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 23 Feb 2007 21:35:53 -0200

cluster-tools-client (1.0.070127) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 27 Jan 2007 11:14:56 -0200

cluster-tools-client (1.0.070118) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 18 Jan 2007 23:44:57 -0200

cluster-tools-client (1.0.061211) stable; urgency=low

  * Updated the anchoring programs of the tools which use the chroot
    utility, to adjust for the changes made in those tools.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 11 Dec 2006 13:07:15 -0200

cluster-tools-client (1.0.061207) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu,  7 Dec 2006 21:22:18 -0200

cluster-tools-client (1.0.061204) stable; urgency=low

  * Made a few syntax adjustments for etch compatibility.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon,  4 Dec 2006 00:44:28 -0200

cluster-tools-client (1.0.061130) stable; urgency=low

  * Made the necessary internal modifications in the anchoring program for
    the tool multi-crontab-chroot, given the update of that tool in the
    server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 30 Nov 2006 18:38:52 -0200

cluster-tools-client (1.0.061125) stable; urgency=low

  * Made small corrections in the man pages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 25 Nov 2006 03:04:53 -0200

cluster-tools-client (1.0.061108) stable; urgency=low

  * Updated the man pages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  8 Nov 2006 14:08:06 -0200

cluster-tools-client (1.0.061107) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue,  7 Nov 2006 11:03:52 -0200

cluster-tools-client (1.0.061106) stable; urgency=low

  * More internal modifications in the anchoring programs for the tools


## cluster-tools-client 1.1.140128

=== Makefile ===
# -*-makefile-*-
# JLdL 13May10.
#
# This makefile closes the "cluster-tools-client" package, as an
# _ "all" arch package; the main part of its structure is meant
# _ to install everything within the debian/package subdirectory.

# Edited for Debian GNU/Linux.
DESTDIR = 

# The package this makefile is meant for.
PACKAGE = cluster-tools-client

# Where the configuration file goes.
ETC = $(DESTDIR)/etc

# Where the user executables go.
CBIN = $(DESTDIR)/usr/bin

# Where the policy executable goes.
SBIN = $(DESTDIR)/usr/sbin

# Where the client library goes.
CLIB = $(DESTDIR)/lib/cluster

# Where the man pages go.
MANS = $(DESTDIR)/usr/share/man

# Where the additional documentation goes.
DOCS = $(DESTDIR)/usr/share/doc/$(PACKAGE)

# The configuration files.
CONFFILES = \
cluster.conf \
cluster.aliases \
kernel-img.conf

# The user executables.
CBINFILES = \
cdsh \
cjobs \
cruptime

# The policy executable.
SBINFILES = \
policy-rc.d

# The client library.
CLIBFILES = \
multi-apt-get-chroot.anchor \
multi-crontab-chroot.anchor \
multi-dpkg-chroot.anchor

# The user man pages.
MAN1FILES = \
cdsh.1.gz \
cjobs.1.gz \
cruptime.1.gz

# The file man pages.
MAN5FILES = \
cluster.conf.5.gz

# The description man pages.
MAN7FILES = \
cluster.7.gz

# Extra documentation files and directories.
DOCSFILES = \
debian/README.Debian

default:
	@echo "Nothing to do: no actual compilation is needed."

# Install files on the client.
install: $(MAN1FILES) $(MAN5FILES) $(MAN7FILES)
	@echo Installing the configuration files in $(ETC)/
	@mkdir -p $(ETC)/
	@cp -pf $(CONFFILES) $(ETC)/
	@echo Installing user executables in $(CBIN)/
	@mkdir -p $(CBIN)/
	@cp -pf $(CBINFILES) $(CBIN)/
	@echo Installing policy executable in $(SBIN)/
	@mkdir -p $(SBIN)/
	@cp -pf $(SBINFILES) $(SBIN)/
	@echo Installing the client library in $(CLIB)/
	@mkdir -p $(CLIB)/
	@cp -pf $(CLIBFILES) $(CLIB)/
	@echo Installing man pages in $(MANS)/man1/
	@mkdir -p $(NFSDIR)$(MANS)/man1/
	@cp -pf $(MAN1FILES) $(MANS)/man1/
	@echo Installing man pages in $(MANS)/man5/
	@mkdir -p $(NFSDIR)$(MANS)/man5/
	@cp -pf $(MAN5FILES) $(MANS)/man5/
	@echo Installing man pages in $(MANS)/man7/
	@mkdir -p $(MANS)/man7/
	@cp -pf $(MAN7FILES) $(MANS)/man7/
	@echo Installing additional documentation in $(DOCS)/
	@mkdir -p $(DOCS)/
	@cp -af $(DOCSFILES) $(DOCS)/

# Make the package.
package:
	dpkg-buildpackage -kE92A1F5C

# Clean up this directory.
clean:
	rm -f *~

## cluster-tools-client 1.1.131223

=== debian/changelog ===
cluster-tools-client (1.1.131223) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 23 Dec 2013 18:17:11 -0200

=== debian/control ===
Source: cluster-tools-client
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.2

Package: cluster-tools-client
Architecture: all
Depends: apt, dsh, rsh-client | ssh, rsh-server | ssh, rwho, tcsh
Conflicts: cluster-tools-server
Description: Tools for remote-boot clusters of nodes or terminals
 This is a set of tools for dealing with clusters of remotely-booted
 compute nodes or X11 terminals, hosted on a cluster server, using
 hard-linked filesystems for the nodes. It includes a couple of simple
 monitoring utilities and tools for creating new nodes, maintaining
 the hard-linked filesystems, installing new kernels on the nodes and
 and managing Debian packages on the nodes.
 .
 This package should be installed in all the nodes of the cluster. It
 includes the monitoring utilities and also acts as a support package
 for the package cluster-tools-server which should be installed on the
 cluster server.

## cluster-tools-client 1.1.140128

=== debian/changelog ===
cluster-tools-client (1.1.140128) stable; urgency=low

  * Changes were made only in the server package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 28 Jan 2014 10:09:29 -0200

=== debian/rules ===
#!/usr/bin/make -f
# JLdL 08Dec13.
#
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/cluster-tools-client.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/cluster-tools-client


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
